For the complete documentation index, see llms.txt. This page is also available as Markdown.

Tigrillo API

activateSIMs

post

Activates single or multiple SIMs. Eseye SIMs are available, ready to become active. Before you make one or more SIMs active, you must have a signed Service Contract form agreeing to the associated costs. You must ass...

Body
tariffIDanyOptional
groupanyOptional
deviceanyOptional
Responses
200

Successful response

application/json
post/Japi/Tigrillo/activateSIMs
POST /Japi/Tigrillo/activateSIMs HTTP/1.1
Host: siam.eseye.com
Content-Type: application/json
Accept: */*
Content-Length: 181

{
  "sims": [
    {
      "ICCID": "8944538523012555999",
      "friendlyName": null,
      "IMEI": null
    },
    {
      "ICCID": "8944538523013333111",
      "friendlyName": null,
      "IMEI": null
    }
  ],
  "tariffID": null,
  "group": null,
  "device": null
}
200

Successful response

{
  "status": {
    "status": "OK",
    "errorCode": "",
    "errorMessage": ""
  },
  "simStatuses": {
    "8944538523013333111": "SIM is pending activation"
  }
}

getCookieName

post

Returns the name of the HTTP cookie needed for sessions to continue without the need to log in each time. A cookie is valid for 4 hours after it is generated.

Responses
200

Successful response

application/json
stringOptional
post/Japi/Tigrillo/getCookieName
POST /Japi/Tigrillo/getCookieName HTTP/1.1
Host: siam.eseye.com
Accept: */*
200

Successful response

PHPSESSID

getSIMBilling

post

Returns billing information for a single SIM card.

Body
ICCIDstringRequired
startDateanyOptional
endDatestringOptional
sortOrderanyOptional
startRecanyOptional
numRecsanyOptional
filteranyOptional
Responses
200

Successful response

application/json
totalRecsintegerOptional
post/Japi/Tigrillo/getSIMBilling
POST /Japi/Tigrillo/getSIMBilling HTTP/1.1
Host: siam.eseye.com
Content-Type: application/json
Accept: */*
Content-Length: 133

{
  "ICCID": "8944538523013522377",
  "startDate": null,
  "endDate": "2018-11-15",
  "sortOrder": null,
  "startRec": null,
  "numRecs": null,
  "filter": null
}
200

Successful response

{
  "totalRecs": 2,
  "recs": [
    {
      "activity": "Data",
      "start": "2018-11-14 23:41:47",
      "stop": "2018-11-15 02:34:46",
      "description": "Data",
      "quantity": 2048,
      "price": "9.37",
      "mcc": "310",
      "mnc": "410",
      "packageID": 10001
    },
    {
      "activity": "Data",
      "start": "2018-10-31 22:20:58",
      "stop": "2018-10-31 23:59:59",
      "description": "EU",
      "quantity": 2000,
      "price": "0.56",
      "mcc": "310",
      "mnc": "410",
      "packageID": 13518
    }
  ],
  "status": {
    "status": "OK",
    "errorCode": "",
    "errorMessage": ""
  }
}

getSIMLastActivity

post

Returns details of the most recent recorded activity on the specified SIM.

Body
ICCIDstringRequired
Responses
200

Successful response

No content

post/Japi/Tigrillo/getSIMLastActivity
POST /Japi/Tigrillo/getSIMLastActivity HTTP/1.1
Host: siam.eseye.com
Content-Type: application/json
Accept: */*
Content-Length: 31

{
  "ICCID": "8944538523012560937"
}
200

Successful response

No content

getSIMStateOptions

post

Returns the state options you can apply to the current SIM, based on the current state:

Body
ICCIDstringRequired
Responses
200

Successful response

application/json
post/Japi/Tigrillo/getSIMStateOptions
POST /Japi/Tigrillo/getSIMStateOptions HTTP/1.1
Host: siam.eseye.com
Content-Type: application/json
Accept: */*
Content-Length: 31

{
  "ICCID": "8944538523016999555"
}
200

Successful response

{
  "status": {
    "status": "OK",
    "errorCode": "",
    "errorMessage": ""
  },
  "stateOptions": [
    {
      "ID": "suspend",
      "title": "Suspend SIM"
    },
    {
      "ID": "terminate",
      "title": "Terminate the SIM"
    }
  ]
}

getSIMs

post

Returns a list of SIM records containing data about each SIM. You can set search parameters to restrict your search.

Body
sortOrderanyOptional
startRecintegerOptional
numRecsintegerOptional
Responses
200

Successful response

No content

post/Japi/Tigrillo/getSIMs
POST /Japi/Tigrillo/getSIMs HTTP/1.1
Host: siam.eseye.com
Content-Type: application/json
Accept: */*
Content-Length: 158

{
  "searchCriteria": {
    "state": null,
    "group": null,
    "tariff": null,
    "matchString": null,
    "matchType": null,
    "matchFields": null
  },
  "sortOrder": null,
  "startRec": 0,
  "numRecs": 23
}
200

Successful response

No content

login

post

Logs the user into Infinity Classic.

Body
usernamestringRequired
passwordstringRequired
portfolioIDstringRequired
Responses
200

Successful response

application/json
cookiestringOptional
permissionsstringOptional
canActivatestringOptional
post/Japi/Tigrillo/login
POST /Japi/Tigrillo/login HTTP/1.1
Host: siam.eseye.com
Content-Type: application/json
Accept: */*
Content-Length: 100

{
  "username": "Example@Username.com",
  "password": "examplepassword",
  "portfolioID": "CustomerPortfolioID"
}
200

Successful response

{
  "status": {
    "errorCode": "",
    "errorMessage": "",
    "status": "OK"
  },
  "cookie": "01eq42isi4e2ksr2p6dq7jfut2",
  "permissions": "UEFLA",
  "canActivate": "yes"
}

logout

post

Logs the user out of the Tigrillo API.

Responses
200

Successful response

application/json
post/Japi/Tigrillo/logout
POST /Japi/Tigrillo/logout HTTP/1.1
Host: siam.eseye.com
Accept: */*
200

Successful response

{
  "status": {
    "status": "OK",
    "errorCode": "",
    "errorMessage": ""
  }
}

ping

post

Tests whether the server is running.

Responses
200

Successful response

application/json
stringOptional
post/Japi/Tigrillo/ping
POST /Japi/Tigrillo/ping HTTP/1.1
Host: siam.eseye.com
Accept: */*
200

Successful response

pong

setSIMDetail

post

Updates the details of a single SIM.

Body
ICCIDstringRequired
friendlyNamestringOptional
groupanyOptional
Responses
200

Successful response

application/json
post/Japi/Tigrillo/setSIMDetail
POST /Japi/Tigrillo/setSIMDetail HTTP/1.1
Host: siam.eseye.com
Content-Type: application/json
Accept: */*
Content-Length: 80

{
  "ICCID": "8944538523012555999",
  "friendlyName": "Warehouse1 Hera604",
  "group": null
}
200

Successful response

{
  "status": {
    "status": "OK",
    "errorCode": "",
    "errorMessage": ""
  }
}

setSIMState

post

Changes the state of a single SIM to either of the following states:

Body
ICCIDstringRequired
statestringOptional
Responses
200

Successful response

application/json
post/Japi/Tigrillo/setSIMState
POST /Japi/Tigrillo/setSIMState HTTP/1.1
Host: siam.eseye.com
Content-Type: application/json
Accept: */*
Content-Length: 49

{
  "ICCID": "8944538523012999555",
  "state": "suspend"
}
200

Successful response

{
  "status": {
    "status": "OK",
    "errorCode": "",
    "errorMessage": ""
  }
}

suspendSIMs

post

Suspends multiple SIMs. The current SIM state must allow suspension – you cannot suspend a SIM that is already suspended, pending termination, or terminated.

Body
simsstring[]Required
Responses
200

Successful response

application/json
post/Japi/Tigrillo/suspendSIMs
POST /Japi/Tigrillo/suspendSIMs HTTP/1.1
Host: siam.eseye.com
Content-Type: application/json
Accept: */*
Content-Length: 54

{
  "sims": [
    "8944538523013777333",
    "8944538523014222888"
  ]
}
200

Successful response

{
  "status": {
    "status": "OK",
    "errorCode": "",
    "errorMessage": ""
  },
  "simStatuses": {
    "8944538523013777333": "E0137:Invalid SIM no. provided"
  }
}

terminateSIMs

post

Terminates multiple SIMs, and assigns them a pendingDeprovision status. If terminated (unprovisioned), the SIM will stop connecting to the network. Service charges will stop unless the SIM is in contract, in which cas...

Body
simsstring[]Required
Responses
200

Successful response

application/json
post/Japi/Tigrillo/terminateSIMs
POST /Japi/Tigrillo/terminateSIMs HTTP/1.1
Host: siam.eseye.com
Content-Type: application/json
Accept: */*
Content-Length: 54

{
  "sims": [
    "8944538523013777333",
    "8944538523014222888"
  ]
}
200

Successful response

{
  "status": {
    "status": "OK",
    "errorCode": "",
    "errorMessage": ""
  }
}

unsuspendSIMs

post

Unsuspends multiple SIMs that are currently suspended.

Body
simsstring[]Optional
Responses
200

Successful response

application/json
post/Japi/Tigrillo/unsuspendSIMs
POST /Japi/Tigrillo/unsuspendSIMs HTTP/1.1
Host: siam.eseye.com
Content-Type: application/json
Accept: */*
Content-Length: 54

{
  "sims": [
    "8944538523013111555",
    "8944538523014444777"
  ]
}
200

Successful response

{
  "status": {
    "status": "OK",
    "errorCode": "",
    "errorMessage": ""
  },
  "simStatuses": {
    "8944538523013111555": "E0144:SIM cannot be unsuspended"
  }
}

Last updated

Was this helpful?